Name:           python-platformio
Version:        6.1.17
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Your Gateway to Embedded Software Development Excellence. Unlock the true potential of embedded software development with PlatformIO's collaborative ecosystem, embracing declarative principles, test-driven methodologies, and modern toolchains for unrivaled success.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://platformio.org
Source:         %{pypi_source platformio}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'platformio' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-platformio
Summary:        %{summary}

%description -n python3-platformio %_description


%prep
%autosetup -p1 -n platformio-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-platformio -f %{pyproject_files}


%changelog
%autochangelog